<?php
$tsettcarousel = '';
$tsettcarousel = 'yilmaz_carousel_forum_id';
if (is_array($settings[$tsettcarousel]))
{
	$settings[$tsettcarousel] = implode(',', array_filter($settings[$tsettcarousel]));
}
$tsettcarousel = '';

$tsettcarouselonly = '';
$tsettcarouselonly = 'yilmaz_carousel_only_forum_id';
if (is_array($settings[$tsettcarouselonly]))
{
	$settings[$tsettcarouselonly] = implode(',', array_filter($settings[$tsettcarouselonly]));
}
$tsettcarouselonly = '';


if ($oldsetting['varname'] == 'yilmaz_carousel_only_usergroups')
{
	$fsett = 'yilmaz_carousel_only_usergroups';
	
	if (is_array($settings[$fsett]))
	{
		if (in_array(0, $settings[$fsett]))
		{
			$settings[$fsett] = '0';
		}
		else
		{
			$settings[$fsett] = implode(',', $settings[$fsett]);
		}
	}
	$fsett = '';
}
	